package mapped;

import net.runelite.mapping.ObfuscatedGetter;
import net.runelite.mapping.ObfuscatedName;
import net.runelite.mapping.ObfuscatedSignature;
import net.runelite.rs.api.RSHorizontalAlignment;

@ObfuscatedName("hq")
public class HorizontalAlignment implements MouseWheel, RSHorizontalAlignment {
   @ObfuscatedName("at")
   @ObfuscatedSignature(
      descriptor = "Lhq;"
   )
   static final HorizontalAlignment field1909;
   @ObfuscatedName("ah")
   @ObfuscatedSignature(
      descriptor = "Lhq;"
   )
   static final HorizontalAlignment HorizontalAlignment_centered;
   @ObfuscatedName("ar")
   @ObfuscatedSignature(
      descriptor = "Lhq;"
   )
   static final HorizontalAlignment field1905;
   @ObfuscatedName("kt")
   @ObfuscatedSignature(
      descriptor = "[Luz;"
   )
   static SpritePixels[] field1908;
   @ObfuscatedName("ao")
   @ObfuscatedGetter(
      intValue = -1872109103
   )
   public final int value;
   @ObfuscatedName("ab")
   @ObfuscatedGetter(
      intValue = -1196350151
   )
   final int id;

   static {
      field1909 = new HorizontalAlignment(0, 0);
      HorizontalAlignment_centered = new HorizontalAlignment(2, 1);
      field1905 = new HorizontalAlignment(1, 2);
   }

   HorizontalAlignment(int var1, int var2) {
      this.value = var1;
      this.id = var2;
   }

   @ObfuscatedName("ah")
   @ObfuscatedSignature(
      descriptor = "(B)I",
      garbageValue = "-11"
   )
   public int rsOrdinal_base() {
      return this.id;
   }

   @ObfuscatedName("ar")
   @ObfuscatedSignature(
      descriptor = "(I)Lld;",
      garbageValue = "-863810784"
   )
   public static PacketBufferNode method3686() {
      PacketBufferNode var0;
      if(PacketBufferNode.PacketBufferNode_packetBufferNodeCount == 0) {
         var0 = new PacketBufferNode();
      } else {
         var0 = PacketBufferNode.PacketBufferNode_packetBufferNodes[--PacketBufferNode.PacketBufferNode_packetBufferNodeCount];
      }

      var0.clientPacket = null;
      var0.clientPacketLength = 0;
      var0.packetBuffer = new PacketBuffer(5000);
      return var0;
   }

   @ObfuscatedName("ac")
   @ObfuscatedSignature(
      descriptor = "(III)I",
      garbageValue = "1945756897"
   )
   public static int method3687_base(int var0, int var1) {
      int var2 = var0 >>> 31;
      return (var0 + var2) / var1 - var2;
   }

   @ObfuscatedName("mq")
   @ObfuscatedSignature(
      descriptor = "(Lnn;III)V",
      garbageValue = "1270985779"
   )
   static final void method3685(Widget var0, int var1, int var2) {
      if(Client.clickedWidget == null && !Client.isMenuOpen) {
         if(var0 != null && ArchiveDiskAction.method6887(var0) != null) {
            Client.clickedWidget = var0;
            Client.clickedWidgetParent = ArchiveDiskAction.method6887(var0);
            Client.widgetClickX = var1;
            Client.widgetClickY = var2;
            class148.widgetDragDuration = 0;
            Client.isDraggingWidget = false;
            Client.draggingWidgetChanged(-1);
            int var3 = Client.menuOptionsCount - 1;
            if(var3 != -1) {
               PcmPlayer.method846_base(var3);
            }

         }
      }
   }
}
